# TruncatedSVD Example using RAPIDS cuML in pai4sk

This is a sample code to show how truncatedSVD algorithm from cuML in pai4sk can
be used. The sample code performs dimensionality reduction using truncated SVD
through cuML in pai4sk and through scikit-learn and compares the results.

# How to run the example
If pandas and scikit-learn are not already installed in the python 3.6
conda environment, run `conda install pandas scikit-learn`. Then run the
example as below. This will use GPU 0.

```
python example-tsvd.py
```

See $CONDA_PREFIX/pai4sk/local-examples/cuml-examples/README.md for
description of command line options of the cuML examples.

&copy; Copyright IBM Corporation 2019
